/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _toConsumableArray = require('@babel/runtime/helpers/toConsumableArray');
var vue = require('vue');
var config = require('../../config.js');
var hooks_useClass = require('../../hooks/useClass.js');
require('../../_chunks/dep-21f18d3b.js');
require('@babel/runtime/helpers/defineProperty');
require('../../_chunks/dep-b9642a56.js');
require('../../_common/js/global-config/mobile/default-config.js');
require('../../_common/js/global-config/mobile/locale/zh_CN.js');
require('../../_chunks/dep-28b1e09d.js');
require('@babel/runtime/helpers/typeof');
require('../../_chunks/dep-57aa1aa0.js');
require('dayjs');
require('../../_chunks/dep-85204fa0.js');
require('../../_chunks/dep-f6b14f80.js');
require('../../_chunks/dep-a8d60643.js');
require('../../_chunks/dep-7c911ba3.js');
require('../../_chunks/dep-88fe047a.js');
require('../../_chunks/dep-2f809ed9.js');
require('../../_chunks/dep-ef223206.js');
require('../../_chunks/dep-49f0a63e.js');
require('../../_chunks/dep-d950aa21.js');
require('../../_chunks/dep-5be9198d.js');
require('../../_chunks/dep-a697b1b9.js');
require('../../_chunks/dep-4dfb9b9c.js');
require('../../_chunks/dep-757b152c.js');
require('../../_chunks/dep-c65deed7.js');
require('../../_chunks/dep-94eeec5a.js');
require('../../_chunks/dep-060bf1cf.js');
require('../../_chunks/dep-0e05e959.js');
require('../../_chunks/dep-324da301.js');
require('../../_chunks/dep-da6dc2cf.js');
require('../../_chunks/dep-ccc9ad3d.js');
require('../../_chunks/dep-c3cb976c.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _toConsumableArray__default = /*#__PURE__*/_interopDefaultLegacy(_toConsumableArray);

var prefix = config["default"].prefix;
var SpinnerIcon = vue.defineComponent({
  name: "".concat(prefix, "-spinner"),
  props: {
    style: Object
  },
  setup: function setup(props) {
    var spinnerClass = hooks_useClass.usePrefixClass("loading__spinner");
    return function () {
      return vue.createVNode("span", {
        "class": spinnerClass.value,
        "style": props.style
      }, [_toConsumableArray__default["default"](new Array(12)).map(function (_, index) {
        return vue.createVNode("i", {
          "class": ["".concat(spinnerClass.value, "--line"), "".concat(spinnerClass.value, "--line-").concat(index + 1)]
        }, null);
      })]);
    };
  }
});

exports["default"] = SpinnerIcon;
//# sourceMappingURL=spinner.js.map
