/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _slicedToArray = require('@babel/runtime/helpers/slicedToArray');
var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
var vue = require('vue');
var message_message = require('./message.js');
var shared_util = require('../shared/util.js');
require('tdesign-icons-vue-next');
require('../link/index.js');
require('../link/link.js');
require('../config.js');
require('../link/props.js');
require('../hooks/tnode.js');
require('../hooks/render-tnode.js');
require('../_chunks/dep-ef223206.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-c3cb976c.js');
require('../_chunks/dep-2f809ed9.js');
require('../_chunks/dep-757b152c.js');
require('../_chunks/dep-5be9198d.js');
require('../_chunks/dep-a7319409.js');
require('../_chunks/dep-afa9f3f2.js');
require('../_chunks/dep-ae809b86.js');
require('../_chunks/dep-2b08c0a6.js');
require('../_chunks/dep-288156c7.js');
require('../_chunks/dep-3d4c38f1.js');
require('../_chunks/dep-6df33aaf.js');
require('../_chunks/dep-88fe047a.js');
require('../_chunks/dep-675798b4.js');
require('../_chunks/dep-ccc9ad3d.js');
require('../_chunks/dep-d950aa21.js');
require('../_chunks/dep-a697b1b9.js');
require('../_chunks/dep-4dfb9b9c.js');
require('../_chunks/dep-7c911ba3.js');
require('../_common/js/utils/general.js');
require('../hooks/useClass.js');
require('../_chunks/dep-21f18d3b.js');
require('../_chunks/dep-b9642a56.js');
require('../_common/js/global-config/mobile/default-config.js');
require('../_common/js/global-config/mobile/locale/zh_CN.js');
require('../_chunks/dep-28b1e09d.js');
require('../_chunks/dep-57aa1aa0.js');
require('dayjs');
require('../_chunks/dep-85204fa0.js');
require('../_chunks/dep-f6b14f80.js');
require('../_chunks/dep-a8d60643.js');
require('../_chunks/dep-49f0a63e.js');
require('../_chunks/dep-c65deed7.js');
require('../_chunks/dep-94eeec5a.js');
require('../_chunks/dep-060bf1cf.js');
require('../_chunks/dep-0e05e959.js');
require('../_chunks/dep-324da301.js');
require('../_chunks/dep-da6dc2cf.js');
require('../form/hooks.js');
require('../_chunks/dep-d5bc9590.js');
require('../shared/component.js');
require('./props.js');
require('../hooks/useVModel.js');
require('../_chunks/dep-ff4786c0.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _slicedToArray__default = /*#__PURE__*/_interopDefaultLegacy(_slicedToArray);
var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);

var _excluded = ["context"];
function _createForOfIteratorHelper(r, e) { var t = "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (!t) { if (Array.isArray(r) || (t = _unsupportedIterableToArray(r)) || e && r && "number" == typeof r.length) { t && (r = t); var _n = 0, F = function F() {}; return { s: F, n: function n() { return _n >= r.length ? { done: !0 } : { done: !1, value: r[_n++] }; }, e: function e(r) { throw r; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var o, a = !0, u = !1; return { s: function s() { t = t.call(r); }, n: function n() { var r = t.next(); return a = r.done, r; }, e: function e(r) { u = !0, o = r; }, f: function f() { try { a || null == t.return || t.return(); } finally { if (u) throw o; } } }; }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty__default["default"](e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var instanceMap = /* @__PURE__ */new Map();
function destroy(context, root) {
  if (context.contains(root)) {
    context.removeChild(root);
    if (instanceMap.has(root)) {
      instanceMap.delete(root);
    }
  }
}
function create(props) {
  if (!shared_util.isBrowser) return;
  var context = props.context,
    otherOptions = _objectWithoutProperties__default["default"](props, _excluded);
  if (!context) {
    console.error("\u672A\u627E\u5230\u7EC4\u4EF6, \u8BF7\u786E\u8BA4 context \u662F\u5426\u6B63\u786E");
    return;
  }
  var root = document.createElement("div");
  context.appendChild(root);
  var visible = vue.ref(false);
  var component = vue.defineComponent({
    render: function render() {
      return vue.h(message_message["default"], _objectSpread(_objectSpread({}, otherOptions), {}, {
        visible: visible.value,
        onDurationEnd: function onDurationEnd() {
          var _otherOptions$onDurat;
          (_otherOptions$onDurat = otherOptions.onDurationEnd) === null || _otherOptions$onDurat === void 0 || _otherOptions$onDurat.call(otherOptions);
          visible.value = false;
        },
        onCloseBtnClick: function onCloseBtnClick(context2) {
          var _otherOptions$onClose;
          (_otherOptions$onClose = otherOptions.onCloseBtnClick) === null || _otherOptions$onClose === void 0 || _otherOptions$onClose.call(otherOptions, context2);
          visible.value = false;
        },
        onAfterLeave: function onAfterLeave() {
          destroy(context, root);
        }
      }));
    }
  });
  vue.createApp(component).mount(root);
  instanceMap.set(root, {
    context: context,
    visible: visible
  });
  vue.nextTick(function () {
    visible.value = true;
  });
}
var defaultProps = {
  align: "left",
  closeBtn: false,
  content: "",
  duration: 3e3,
  theme: "info",
  visible: false,
  zIndex: 5e3,
  context: shared_util.isBrowser ? document.body : null,
  onDurationEnd: function onDurationEnd() {},
  onCloseBtnClick: function onCloseBtnClick() {}
};
["info", "success", "warning", "error"].forEach(function (theme) {
  message_message["default"][theme] = function (options) {
    var props = _objectSpread(_objectSpread({}, defaultProps), {}, {
      theme: theme
    });
    if (typeof options === "string") {
      props.content = options;
    } else {
      props = _objectSpread(_objectSpread({}, props), options);
    }
    create(props);
  };
});
message_message["default"].closeAll = function () {
  if (instanceMap instanceof Map) {
    var _iterator = _createForOfIteratorHelper(instanceMap),
      _step;
    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var _step$value = _slicedToArray__default["default"](_step.value, 2),
          key = _step$value[0],
          value = _step$value[1];
        var context = value.context,
          visible = value.visible;
        destroy(context, key);
        visible.value = false;
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }
  }
};
message_message["default"].install = function (app) {
  var name = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
  app.component(name || message_message["default"].name, message_message["default"]);
  app.config.globalProperties.$message = message_message["default"];
};
var MessagePlugin = message_message["default"];

exports.MessagePlugin = MessagePlugin;
exports["default"] = MessagePlugin;
//# sourceMappingURL=index.js.map
