/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

export { cmyk2rgb, cmykInputToColor, rgb2cmyk } from './cmyk.mjs';
export { Color, genGradientPoint, genId, getColorObject, getColorWithoutAlpha, gradientColors2string } from './color.mjs';
export { ALPHA_FORMAT_MAP, COLOR_FORMAT_INPUTS, COLOR_MODES, DEFAULT_COLOR, DEFAULT_LINEAR_GRADIENT, DEFAULT_SYSTEM_SWATCH_COLORS, FORMATS, GRADIENT_SLIDER_DEFAULT_WIDTH, SATURATION_PANEL_DEFAULT_HEIGHT, SATURATION_PANEL_DEFAULT_WIDTH, SLIDER_DEFAULT_WIDTH, TD_COLOR_USED_COLORS_MAX_SIZE } from './constants.mjs';
export { Draggable } from './draggable.mjs';
export { getColorFormatInputs, getColorFormatMap, getColorFormatOptions, initColorFormat } from './format.mjs';
export { isGradientColor, parseGradientString } from './gradient.mjs';
import './types.mjs';
import '../../../_chunks/dep-26b97ced.mjs';
import '../../../_chunks/dep-a953013f.mjs';
import '../../../_chunks/dep-15aa73f9.mjs';
import '../../../_chunks/dep-900db0e1.mjs';
import '../../../_chunks/dep-4915223e.mjs';
import 'tinycolor2';
import '../../../_chunks/dep-fb4113ef.mjs';
import 'lodash-es';
//# sourceMappingURL=index.mjs.map
