/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Search from './search.mjs';
import '../shared/index.mjs';
import './style/css.mjs';
import './type.mjs';
import { withInstall } from '../shared/component.mjs';
import '../_chunks/dep-900db0e1.mjs';
import '../_chunks/dep-4915223e.mjs';
import '../_chunks/dep-26b97ced.mjs';
import '../_chunks/dep-a953013f.mjs';
import 'vue';
import 'tdesign-icons-vue-next';
import '@vueuse/core';
import '../config.mjs';
import '../shared/dom.mjs';
import 'lodash-es';
import './props.mjs';
import '../hooks/useVModel.mjs';
import '../hooks/useClass.mjs';
import '../config-provider/useConfig.mjs';
import '../config-provider/context.mjs';
import '../_common/js/global-config/mobile/default-config.mjs';
import '../_common/js/global-config/mobile/locale/zh_CN.mjs';
import '../_chunks/dep-bca0f578.mjs';
import '../_chunks/dep-6b2b02fd.mjs';
import '../_chunks/dep-c6f44a15.mjs';
import '../_chunks/dep-c984d53e.mjs';
import '../config-provider/type.mjs';
import '../hooks/tnode.mjs';
import '../hooks/render-tnode.mjs';
import '../_common/js/utils/general.mjs';
import '../hooks/useLengthLimit.mjs';
import '../_common/js/log/index.mjs';
import '../_common/js/log/log.mjs';
import '../_common/js/utils/helper.mjs';
import '../_chunks/dep-fb4113ef.mjs';
import '../_chunks/dep-da32ae58.mjs';
import '../_common/js/common.mjs';
import '../cell/cell.mjs';
import '../cell/props.mjs';
import '../form/hooks.mjs';
import '../shared/hover.mjs';
import '../shared/functions.mjs';
import '../shared/util.mjs';
import '../shared/render.mjs';
import '../shared/render-tnode.mjs';
import '../shared/useCountDown/index.mjs';
import '../_chunks/dep-99e43b7b.mjs';
import '../shared/useCountDown/utils.mjs';
import '../shared/useTouch/index.mjs';
import '../shared/useScrollParent/index.mjs';
import '../shared/useTest/index.mjs';
import '../shared/useClickAway/index.mjs';

var Search = withInstall(_Search);

export { Search, Search as default };
//# sourceMappingURL=index.mjs.map
