/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import { _ as _defineProperty } from '../../_chunks/dep-900db0e1.mjs';
import { _ as _asyncToGenerator, r as regenerator } from '../../_chunks/dep-99e43b7b.mjs';
import { sleep } from '../util.mjs';
import '../../_chunks/dep-4915223e.mjs';
import '../../_chunks/dep-6b2b02fd.mjs';
import '../../_chunks/dep-26b97ced.mjs';
import '../../_chunks/dep-a953013f.mjs';
import 'lodash-es';
import '../../hooks/useClass.mjs';
import 'vue';
import '../../config-provider/useConfig.mjs';
import '../../config-provider/context.mjs';
import '../../_common/js/global-config/mobile/default-config.mjs';
import '../../_common/js/global-config/mobile/locale/zh_CN.mjs';
import '../../_chunks/dep-bca0f578.mjs';
import '../../_chunks/dep-c6f44a15.mjs';
import '../../_chunks/dep-c984d53e.mjs';
import '../../config-provider/type.mjs';

function useTestUtils() {
  var makeScroll = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator(/*#__PURE__*/regenerator.mark(function _callee(dom, name, offset) {
      var eventTarget, evt;
      return regenerator.wrap(function (_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            eventTarget = dom === document.documentElement ? window : dom;
            dom[name] = offset;
            evt = new CustomEvent("scroll", {
              detail: {
                target: _defineProperty({}, name, offset)
              }
            });
            eventTarget.dispatchEvent(evt);
            _context.next = 1;
            return sleep(0);
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function makeScroll(_x, _x2, _x3) {
      return _ref.apply(this, arguments);
    };
  }();
  return {
    makeScroll: makeScroll,
    sleep: sleep
  };
}

export { useTestUtils };
//# sourceMappingURL=index.mjs.map
