/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _asyncToGenerator from '@babel/runtime/helpers/asyncToGenerator';
import _regeneratorRuntime from '@babel/runtime/regenerator';
import { sleep } from '../util.js';
import '@babel/runtime/helpers/slicedToArray';
import 'lodash-es';
import '../../hooks/useClass.js';
import 'vue';
import '../../config-provider/useConfig.js';
import '../../config-provider/context.js';
import '../../_common/js/global-config/mobile/default-config.js';
import '../../_common/js/global-config/mobile/locale/zh_CN.js';
import '../../_chunks/dep-f785f3d3.js';
import '@babel/runtime/helpers/typeof';
import '../../_chunks/dep-0d44b254.js';
import 'dayjs';

function useTestUtils() {
  var makeScroll = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime.mark(function _callee(dom, name, offset) {
      var eventTarget, evt;
      return _regeneratorRuntime.wrap(function (_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            eventTarget = dom === document.documentElement ? window : dom;
            dom[name] = offset;
            evt = new CustomEvent("scroll", {
              detail: {
                target: _defineProperty({}, name, offset)
              }
            });
            eventTarget.dispatchEvent(evt);
            _context.next = 1;
            return sleep(0);
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function makeScroll(_x, _x2, _x3) {
      return _ref.apply(this, arguments);
    };
  }();
  return {
    makeScroll: makeScroll,
    sleep: sleep
  };
}

export { useTestUtils };
//# sourceMappingURL=index.js.map
