/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _TabBar from './tab-bar.js';
import _TabBarItem from './tab-bar-item.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import './props.js';
import '../config.js';
import '../hooks/useChildSlots.js';
import '@babel/runtime/helpers/toConsumableArray';
import '../hooks/useVModel.js';
import 'lodash-es';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../_common/js/utils/general.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f785f3d3.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-0d44b254.js';
import 'dayjs';
import 'tdesign-icons-vue-next';
import '../badge/index.js';
import '../badge/badge.js';
import '../badge/props.js';
import './useTabBar.js';
import './tab-bar-item-props.js';

var TabBar = withInstall(_TabBar);
var TabBarItem = withInstall(_TabBarItem);

export { TabBar, TabBarItem, TabBar as default };
//# sourceMappingURL=index.js.map
