/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');

function useExpose(apis) {
  var instance = vue.getCurrentInstance();
  if (instance) {
    Object.assign(instance.proxy, apis);
  }
}

exports["default"] = useExpose;
//# sourceMappingURL=useExpose.js.map
