/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import { getCurrentInstance } from 'vue';

function useExpose(apis) {
  var instance = getCurrentInstance();
  if (instance) {
    Object.assign(instance.proxy, apis);
  }
}

export { useExpose as default };
//# sourceMappingURL=useExpose.mjs.map
