/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Slider from './slider.mjs';
import '../shared/index.mjs';
import './style/css.mjs';
import './type.mjs';
import { withInstall } from '../shared/component.mjs';
import '../_chunks/dep-fb4113ef.mjs';
import '../_chunks/dep-a953013f.mjs';
import '../_chunks/dep-900db0e1.mjs';
import '../_chunks/dep-4915223e.mjs';
import '../_chunks/dep-26b97ced.mjs';
import 'vue';
import 'lodash-es';
import '@vueuse/core';
import '../config.mjs';
import './props.mjs';
import '../hooks/useVModel.mjs';
import './tool.mjs';
import '../form/hooks.mjs';
import '../hooks/useClass.mjs';
import '../config-provider/useConfig.mjs';
import '../config-provider/context.mjs';
import '../_common/js/global-config/mobile/default-config.mjs';
import '../_common/js/global-config/mobile/locale/zh_CN.mjs';
import '../_chunks/dep-bca0f578.mjs';
import '../_chunks/dep-6b2b02fd.mjs';
import '../_chunks/dep-c6f44a15.mjs';
import '../_chunks/dep-c984d53e.mjs';
import '../config-provider/type.mjs';
import '../shared/functions.mjs';
import '../shared/util.mjs';
import '../shared/render.mjs';
import '../shared/dom.mjs';
import '../shared/render-tnode.mjs';
import '../shared/useCountDown/index.mjs';
import '../_chunks/dep-99e43b7b.mjs';
import '../shared/useCountDown/utils.mjs';
import '../shared/useTouch/index.mjs';
import '../shared/useScrollParent/index.mjs';
import '../shared/useTest/index.mjs';
import '../shared/useClickAway/index.mjs';
import '../shared/hover.mjs';

var Slider = withInstall(_Slider);

export { Slider, Slider as default };
//# sourceMappingURL=index.mjs.map
