/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _SideBar from './side-bar.js';
import _SideBarItem from './side-bar-item.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import '../config.js';
import './props.js';
import '../hooks/useVModel.js';
import 'lodash-es';
import '../hooks/tnode.js';
import '../hooks/render-tnode.js';
import '../_common/js/utils/general.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f785f3d3.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-0d44b254.js';
import 'dayjs';
import './side-bar-item-props.js';
import '../badge/index.js';
import '../badge/badge.js';
import '../badge/props.js';

var SideBar = withInstall(_SideBar);
var SideBarItem = withInstall(_SideBarItem);

export { SideBar, SideBarItem, SideBar as default };
//# sourceMappingURL=index.js.map
