/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Stepper from './stepper.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/slicedToArray';
import 'vue';
import 'tdesign-icons-vue-next';
import '../config.js';
import './props.js';
import '../form/hooks.js';
import 'lodash-es';
import '../hooks/useVModel.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '@babel/runtime/helpers/defineProperty';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f785f3d3.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-0d44b254.js';
import 'dayjs';
import '../shared/util.js';

var Stepper = withInstall(_Stepper);

export { Stepper, Stepper as default };
//# sourceMappingURL=index.js.map
