/**
 * tdesign v1.9.3
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _Tag from './tag.js';
import _CheckTag from './check-tag.js';
import { withInstall } from '../shared/component.js';
import '@babel/runtime/helpers/defineProperty';
import 'vue';
import 'tdesign-icons-vue-next';
import '../hooks/tnode.js';
import 'lodash-es';
import '../hooks/render-tnode.js';
import '../_common/js/utils/general.js';
import '../config.js';
import './props.js';
import '../hooks/useClass.js';
import '../config-provider/useConfig.js';
import '../config-provider/context.js';
import '../_common/js/global-config/mobile/default-config.js';
import '../_common/js/global-config/mobile/locale/zh_CN.js';
import '../_chunks/dep-f785f3d3.js';
import '@babel/runtime/helpers/typeof';
import '../_chunks/dep-0d44b254.js';
import 'dayjs';
import '@babel/runtime/helpers/slicedToArray';
import './check-tag-props.js';
import '../hooks/useVModel.js';

var Tag = withInstall(_Tag);
var CheckTag = withInstall(_CheckTag);

export { CheckTag, Tag, Tag as default };
//# sourceMappingURL=index.js.map
